Bug 175354 - [Maintainer update] ports-mgmt/xps
[Maintainer update] ports-mgmt/xps
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-16 14:30 UTC by anastasiadis
Modified: 2013-01-29 04:10 UTC (History)
0 users

See Also:


Attachments
file.diff (891 bytes, patch)
2013-01-16 14:30 UTC, anastasiadis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description anastasiadis 2013-01-16 14:30:00 UTC
Update the port to v0.4.1

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-01-16 14:30:09 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-01-29 04:03:43 UTC
Author: danfe
Date: Tue Jan 29 04:03:29 2013
New Revision: 311148
URL: http://svnweb.freebsd.org/changeset/ports/311148

Log:
  - Update to version 0.4.1 [*]
  - Convert to USE_GITHUB, define LICENSE (MIT)
  - Clean up the Makefile and port description
  
  PR:		ports/175354 [*]
  Submitted by:	maintainer

Modified:
  head/ports-mgmt/xps/Makefile
  head/ports-mgmt/xps/distinfo
  head/ports-mgmt/xps/pkg-descr

Modified: head/ports-mgmt/xps/Makefile
==============================================================================
--- head/ports-mgmt/xps/Makefile	Tue Jan 29 03:41:30 2013	(r311147)
+++ head/ports-mgmt/xps/Makefile	Tue Jan 29 04:03:29 2013	(r311148)
@@ -1,28 +1,27 @@
-# New ports collection makefile for:   xps
-# Date created:        4 December 2008
-# Whom:                antonakis@gmail.com
-#
+# Created by: Antonios Anastasiadis <antonakis@gmail.com>
 # $FreeBSD$
 
 PORTNAME=	xps
-PORTVERSION=	0.4
+PORTVERSION=	0.4.1
 CATEGORIES=	ports-mgmt
-MASTER_SITES=	https://github.com/antanst/xps/archive/
-DISTFILES=	v0.4.tar.gz
-FETCH_ARGS=	-Fpr
-  
+
 MAINTAINER=	anastasiadis@datalive.gr
-COMMENT=	A tool that searches the ports tree by various criteria
+COMMENT=	Tool that searches the ports tree by various criteria
+
+LICENSE=	MIT
+
+USE_GITHUB=	yes
+GH_ACCOUNT=	antanst
+GH_COMMIT=	997c66f
 
 USE_PYTHON=	yes
 NO_BUILD=	yes
 
 PLIST_FILES=	bin/xps
-
-MAN1=	xps.1
+MAN1=		xps.1
 
 do-install:
-	${INSTALL_SCRIPT} ${WRKDIR}/${PORTNAME}-${PORTVERSION}/xps.1 ${PREFIX}/man/man1/xps.1
-	${INSTALL_SCRIPT} ${WRKDIR}/${PORTNAME}-${PORTVERSION}/xps ${PREFIX}/bin/xps
+	${INSTALL_SCRIPT} ${WRKSRC}/xps ${PREFIX}/bin
+	${INSTALL_MAN} ${WRKSRC}/${MAN1} ${MANPREFIX}/man/man1
 
 .include <bsd.port.mk>

Modified: head/ports-mgmt/xps/distinfo
==============================================================================
--- head/ports-mgmt/xps/distinfo	Tue Jan 29 03:41:30 2013	(r311147)
+++ head/ports-mgmt/xps/distinfo	Tue Jan 29 04:03:29 2013	(r311148)
@@ -1,2 +1,2 @@
-SHA256 (v0.4.tar.gz) = ac66fc244bf568789452e65c24c7af8c8acf1ac77ecc7ba080a16c73b0b3c235
-SIZE (v0.4.tar.gz) = 8658
+SHA256 (xps-0.4.1.tar.gz) = 1da358b2e5cf3739b4e062abc1e23c1ad7c66ba4714bd7a0654a0749b210513f
+SIZE (xps-0.4.1.tar.gz) = 8762

Modified: head/ports-mgmt/xps/pkg-descr
==============================================================================
--- head/ports-mgmt/xps/pkg-descr	Tue Jan 29 03:41:30 2013	(r311147)
+++ head/ports-mgmt/xps/pkg-descr	Tue Jan 29 04:03:29 2013	(r311148)
@@ -1,7 +1,7 @@
-XPS (eXquisite Port Seeker) is a tool that searches the ports
-tree and pretty-prints the ports that match the given criteria.
+XPS (eXquisite Port Seeker) is a tool that searches the ports tree and
+pretty-prints the ports that match the given criteria.
 
-The criteria can be the port's name, categories, maintainer,
-and if it's installed or not.
+The criteria can be the port's name, categories, maintainer, and if it is
+installed or not.
 
-WWW:	https://github.com/antanst/xps
+WWW: https://github.com/antanst/xps
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Alexey Dokuchaev freebsd_committer 2013-01-29 04:04:25 UTC
State Changed
From-To: open->closed

Committed with modifications, thanks!